Skip to content

Capabilities

All operations require authentication.

1 operationv1/storage/netapp
Agent setup

Get product capabilitiesProduction

GET
/1.0/storage/netapp/capabilities/product

Returns product capabilities such as features, supported protocols, and limits.

Response

200NetAppCapabilitiesProductsuccessful operation
performance
read-only
NetAppCapabilitiesPerformance

Performance capabilities

service
read-only
NetAppCapabilitiesService

Service capabilities

share
read-only
NetAppCapabilitiesShare

Share capabilities

shareReplica
read-only
NetAppCapabilitiesShareReplica

Share replica capabilities

snapshotPolicy
read-only
NetAppCapabilitiesSnapshotPolicy

Snapshot policy capabilities

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/storage/netapp/capabilities/product \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "performance": { "levels": [ { "limits": { "bandwidth": { "perTiB": 0, "unit": "IOPS" }, "iops": { "perTiB": 0, "unit": "IOPS" } }, "name": "premium" } ] }, "service": { "features": [ "ovhBackup" ], "networks": [ { "type": "vRack", "vRackServices": { "max": 0 } } ], "protocols": [ { "type": "NFS", "versions": [ "string" ] } ], "size": { "granularity": 0, "max": 0, "min": 0, "unit": "GiB" } }, "share": { "fileSize": { "max": 0, "unit": "GiB" }, "maxItemsPerTiB": 0, "size": { "granularity": 0, "max": 0, "min": 0, "unit": "GiB" }, "snapshot": { "maxItems": 0 }, "snapshotPolicy": { "maxItems": 0 }, "snapshotReserve": { "default": 0, "max": 0, "min": 0, "unit": "percent" } }, "shareReplica": { "fileSize": { "max": 0, "unit": "GiB" }, "maxItemsPerTiB": 0, "size": { "granularity": 0, "max": 0, "min": 0, "unit": "GiB" } }, "snapshotPolicy": { "maxItems": 0, "rules": { "maxItems": 0, "minItems": 0, "schedule": { "days": { "items": { "max": 0, "min": 0 }, "maxItems": 0, "minItems": 0, "required": true }, "hours": { "items": { "max": 0, "min": 0 }, "maxItems": 0, "minItems": 0, "required": true }, "minutes": { "items": { "max": 0, "min": 0 }, "maxItems": 0, "minItems": 0, "required": true }, "months": { "items": { "max": 0, "min": 0 }, "maxItems": 0, "minItems": 0, "required": true }, "timezone": "string", "weekdays": { "items": { "max": 0, "min": 0 }, "maxItems": 0, "minItems": 0, "required": true } } } }}